
package de.ivu.elect.business.datei.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.datei.entity.DateiImport;
import de.ivu.elect.business.datei.boundary.DateiImportDAO;
import de.ivu.elect.business.datei.boundary.DateiImportCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractDateiImportCreate {

  @Inject
  protected DateiImportDAO dao;

    @Inject
    transient Event<DateiImportCreateEvent> createEvent;



  


public void save(DateiImport entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(DateiImport entity) {
        createEvent.fire(new DateiImportCreateEvent(entity));
  }

}
